package hu.uniobuda.nik;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class DBHandler {

	private final static String DB_NAME = "adatbazis.db";
	private final static int    DB_VERSION 	= 2;
	private final static String TABLE_USER = "user";
	
	
	private OpenHelper dbHelper;
	public DBHandler(Context context) {
		this.dbHelper = new OpenHelper(context);
	}
	
	public long insertUser(String name){
		SQLiteDatabase db = dbHelper.getWritableDatabase();
		ContentValues cv = new ContentValues();
		  			  cv.put("uname", name);
		long id = db.insert(TABLE_USER, null, cv);		
		db.close();
		return id;

	}
	
	public Cursor selectUsers(){
		SQLiteDatabase db = dbHelper.getReadableDatabase();
		Cursor c;
		c = db.query(TABLE_USER, null, null, null, null, null, null);
		c.moveToFirst();
		db.close();
		return c;
	}
	
	
	// OpenHelper class
	private static class OpenHelper extends SQLiteOpenHelper{		
		public OpenHelper(Context context) {
			super(context, DB_NAME, null, DB_VERSION);
		}
		@Override
		public void onCreate(SQLiteDatabase db) {
			db.execSQL("CREATE TABLE " + TABLE_USER + " (" +
					"`_id` 		 INTEGER PRIMARY KEY AUTOINCREMENT, " +
					"`uname` 	 VARCHAR (255)" + 
					")");			
		}
		@Override
		public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {			
			db.execSQL("DROP TABLE IF EXISTS " + TABLE_USER);
			onCreate(db);			
		}
	}
	
	
}
